#22468 closed Bug (invalid)

ImportError: No module named '_markerlib'

Reported by: efrinut@… Owned by: nobody
Component: Python 3 Version: master
Severity: Normal Keywords:
Cc: Triage Stage: Unreviewed
Has patch: no Needs documentation: no
Needs tests: no Patch needs improvement: no
Easy pickings: no UI/UX: no



I made a python 3.4 virtualenv on windows and tried to install django 1.7 branch and django master branch from github.

Every time I got an error:

(vcr) D:\projekty\vcr\django-stable-1.7.x>python setup.py install
Traceback (most recent call last):
  File "D:\projekty\vcr\lib\site-packages\pkg_resources.py", line 2482, in _dep_
    return self.__dep_map
  File "D:\projekty\vcr\lib\site-packages\pkg_resources.py", line 2344, in __get
    raise AttributeError(attr)
AttributeError: _DistInfoDistribution__dep_map

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "setup.py", line 69, in <module>
    'Topic :: Software Development :: Libraries :: Python Modules',
  File "C:\Python34\lib\distutils\core.py", line 109, in setup
    _setup_distribution = dist = klass(attrs)
  File "D:\projekty\vcr\lib\site-packages\setuptools\dist.py", line 243, in __in
  File "C:\Python34\lib\distutils\dist.py", line 280, in __init__
  File "D:\projekty\vcr\lib\site-packages\setuptools\dist.py", line 276, in fina
  File "D:\projekty\vcr\lib\site-packages\pkg_resources.py", line 2100, in requi
  File "D:\projekty\vcr\lib\site-packages\pkg_resources.py", line 2291, in requi
    dm = self._dep_map
  File "D:\projekty\vcr\lib\site-packages\pkg_resources.py", line 2484, in _dep_
    self.__dep_map = self._compute_dependencies()
  File "D:\projekty\vcr\lib\site-packages\pkg_resources.py", line 2501, in _comp
    from _markerlib import compile as compile_marker
ImportError: No module named '_markerlib'

Change History (2)

comment:1 Changed 18 months ago by mardini

  • Needs documentation unset
  • Needs tests unset
  • Patch needs improvement unset

I didn't put a lot of time to investigate, but please note that markerlib doesn't support Python 3.4.

comment:2 Changed 18 months ago by timo

  • Resolution set to invalid
  • Status changed from new to closed

I don't think this a problem with Django. The above install works for me on Ubuntu with Python 3.4 and I can import import _markerlib just fine.

Note: See TracTickets for help on using tickets.
Back to Top